Skip to content

Get Album Metadata from Providers

GET
/api/metadata/search/albums
curl --request GET \
--url 'https://example.com/api/metadata/search/albums?album=example'

Gets album results from all metadata providers. Send the header Accept: application/x-ndjson to get results as newline-delimited JSON, one line per provider as soon as it finishes: {"type":"result","service":"...","data":[...]} or {"type":"error","service":"...","error":{...}}, followed by a final {"type":"done"} line.

album
required
Any of:
string
/^(rid|rgid|mbid|spotify):[\s\S]{0,}$/
artists

A list of plain artist strings associated with the album

Array<string>

Success